/*
 * TabSkin.fx
 *
 * Created on 28 févr. 2009, 10:57:33
 */

package javafxapplication15;

import javafx.scene.control.Skin;

import javafx.scene.shape.Rectangle;

import javafx.scene.paint.Color;

/**
 * @author TRE
 */

public class ComponentSkin extends Skin {
    
    // Component's M_C reference
    // [ M : Model & C : Controlleur ]
    var component: Component = bind control as Component;

    public var color:Color = Color.BLUE;
    
    init {
        node = Rectangle {

            width: 16
            height: 16
            fill: bind color
        }

        println("[ ComponentView ] : init");
    }


    postinit {
        
    }


    override function contains(localX:Number, localY:Number):Boolean {
         return node.contains(localX, localY);
    }

    override function intersects(localX:Number, localY:Number, localWidth:Number, localHeight:Number):Boolean {
        return node.intersects(localX, localY, localWidth, localHeight);
    }
}
